package com.supervision.web.peopleGateManage.mapper;

import com.supervision.web.peopleGateManage.enity.PeopleInfo;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;

public interface PeopleInfoMapper {
    PeopleInfo selectById(Long id);

    List<PeopleInfo> selectAll();

    int selectTotal();

    int insert(PeopleInfo peopleInfo);

    int update(PeopleInfo peopleInfo);

    int delete(Long id);

    List<PeopleInfo> selectByIds(@Param("personIds") List<String> personIds);

//    void updatePersonId(@Param("id") Long id, @Param("personId") String personId);
}
